<?php
class Default_Form_SolicitudDemo extends Zend_Form
{ 
    public function __construct($options = null)
    { 
        parent::__construct($options);
             
        $nombre = new Zend_Form_Element_Text('nombre');
        $nombre->setLabel('Nombre')
              ->setRequired(true)
              ->addFilter('StripTags') 
              ->addFilter('StringTrim');
             
        $mail = new Zend_Form_Element_Text('mail');
        $mail->setLabel('Email')
              ->setRequired(true)
              ->addFilter('StripTags') 
              ->addFilter('StringTrim')
              ->addValidator('EmailAddress');
         
        $telefono = new Zend_Form_Element_Text('telefono');
        $telefono->setLabel('Teléfono')
              ->setRequired(true)
              ->addFilter('StripTags') 
              ->addFilter('StringTrim') 
              ->addValidator('NotEmpty'); 

        $ciudad = new Zend_Form_Element_Text('ciudad');
        $ciudad->setLabel('Ciudad')
              ->setRequired(true)
              ->addFilter('StripTags')
              ->addFilter('StringTrim');

        $mensaje = new Zend_Form_Element_Textarea('mensaje');
        $mensaje->setLabel('Mensaje')
              ->setRequired(true)
              ->addFilter('StripTags')
              ->addFilter('StringTrim');
            
        $submit = new Zend_Form_Element_Submit('submit');
        $submit->setLabel('Enviar solicitud');
        $submit->setAttribs(array('class' => 'ui-button ui-state-default submit-inputs ui-corner-all'));
        
        $this->addElements(
            array(
                $nombre, $mail, $telefono, $ciudad,
                $mensaje, $submit
            ));
            
        $this->addDisplayGroup(
            array(
                'nombre', 'mail', 'telefono',
                'ciudad', 'mensaje', 'submit'
            ),
            'infoInputs', 
            array('legend'=>'Todos los campos son requeridos.')
        );

        $infoInputs = $this->getDisplayGroup('infoInputs');
        $infoInputs->setDecorators(
            array(
                'FormElements',
                'Fieldset',
            )
        );
        /* alternative decoration */
        $this->clearDecorators();
        $this->addDecorator('FormElements')
             ->addDecorator('Form')
             ->setAttribs(array(
                'class'     => 'inline',
                'name'      => 'solicitud-demo',
                'action'    => '/index/solicitar-demo'));
    } 
} 
